Bug 244603 - libata? problems in Asus A8V Deluxe motherboard
Summary: libata? problems in Asus A8V Deluxe motherboard
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Jeff Garzik
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-18 00:57 UTC by Kostas Georgiou
Modified: 2013-07-03 02:33 UTC (History)
1 user (show)

Fixed In Version: 5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 23:12:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output of the errors. (25.03 KB, text/plain)
2007-06-18 00:57 UTC, Kostas Georgiou
no flags Details

Description Kostas Georgiou 2007-06-18 00:57:39 UTC
Depending on disk utilization the kernel drops the local disks in something like
1hour-2days with the following errors:
...
ata2: translated ATA stat/err 0x40/00 to SCSI SK/ASC/ASCQ 0xb/00/00
ata2: status=0x40 { DriveReady }
sd 1:0:0:0: SCSI error: return code = 0x08000002
sdb: Current: sense key: Aborted Command
    Additional sense: No additional sense information
end_request: I/O error, dev sdb, sector 14073896
Buffer I/O error on device dm-8, logical block 1759181
...

I am seeing the problem with three different machines (all with the same
motherboard) and different type of disks and also with both sata_via and
sata_promise. The same machines are perfectly stable with RHEL4.
Disabling smartd did not help either (there is a comment in the libata website
about it causing errors in older kernels) 

Here is the lspci output showing the sata controllers:
00:08.0 RAID bus controller: Promise Technology, Inc. PDC20378 (FastTrak
378/SATA 378) (rev 02)
00:0f.0 RAID bus controller: VIA Technologies, Inc. VIA VT6420 SATA RAID
Controller (rev 80)

Comment 1 Kostas Georgiou 2007-06-18 00:57:39 UTC
Created attachment 157243 [details]
dmesg output of the errors.

Comment 2 Kostas Georgiou 2008-01-10 23:53:07 UTC
The kernel in 5.1 seems to have fixed the problem, closing.
Bugzilla doesn't allow me to close the bug for some strange reason so it's left
open.

Comment 3 Jesse Keating 2008-05-16 23:12:58 UTC
Closing for reporter.


Note You need to log in before you can comment on or make changes to this bug.